# IFramePanel

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (3.0.0.0)

* [Control](/api/v3.0/wisej.web/general/control.md)
  * [IFramePanel](/api/v3.0/wisej.web/content/wisej.web.iframepanel.md)

Represents a control that displays any HTML file in an IFrame element.

{% tabs %}
{% tab title="C#" %}

```csharp
public class IFramePanel : Control
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class IFramePanel
    Inherits Control
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/uCY6T77rh488FWHzpJ6P)IFramePanel()

## Properties

### ![](/files/uCY6T77rh488FWHzpJ6P)Allow

[String](https://docs.microsoft.com/en-us/dotnet/api/system.string): Allows the IFrame to access certain local features when using a cross-origin source. Valid values for allow include: geolocation, microphone, camera, midi, encrypted-media. See [deprecating-permissions-in-cross-origin-iframes](https://sites.google.com/a/chromium.org/dev/Home/chromium-security/deprecating-permissions-in-cross-origin-iframes) for more information on the syntax and values to use in this attribute.

### ![](/files/uCY6T77rh488FWHzpJ6P)BorderStyle

[BorderStyle](/api/v3.0/wisej.web/enumerations/wisej.web.borderstyle.md): Indicates the border style for the control.

### ![](/files/uCY6T77rh488FWHzpJ6P)ScrollBars

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Returns or sets whether the control shows the scrollbars when needed.

### ![](/files/uCY6T77rh488FWHzpJ6P)Url

[String](https://docs.microsoft.com/en-us/dotnet/api/system.string): Returns or sets the source Url of the IFrame.

## Methods

### ![](/files/uCY6T77rh488FWHzpJ6P)Reload()

Reloads the contents of the IFrame.

## Events

### ![](/files/uCY6T77rh488FWHzpJ6P)DocumentCompleted

[EventHandler](https://docs.microsoft.com/en-us/dotnet/api/system.eventhandler) Fired when the IFrame has finished loading the document.

### ![](/files/uCY6T77rh488FWHzpJ6P)UrlChanged

[EventHandler](https://docs.microsoft.com/en-us/dotnet/api/system.eventhandler) Fired when the Url property is changed.

## Inherited By

| Name                                                                | Description                                                                         |
| ------------------------------------------------------------------- | ----------------------------------------------------------------------------------- |
| [AspNetPanel](/api/v3.0/wisej.web/content/wisej.web.aspnetpanel.md) | Represents a control that can host ASP.NET or MVC pages within a Wisej application. |

## Implements

| Name                                                                                   | Description                                                                                                                |
| -------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------- |
| [IBindableComponent](/api/v3.0/wisej.web/data-binding/wisej.web.ibindablecomponent.md) | Bindable components implement this interface.                                                                              |
| [IWisejComponent](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                             |
| [IWisejControl](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejcontrol.md)           | All wisej controls derived from the [Control](/api/v3.0/wisej.web/general/control.md) class must implement this interface. |
| [IWisejSerializable](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                                      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/v3.0/wisej.web/content/wisej.web.iframepanel.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
